Package org.apache.sling.auth.oauth_client.spi

# Class OidcAuthCredentials

java.lang.Object
org.apache.sling.auth.oauth_client.spi.OidcAuthCredentials

All Implemented Interfaces:
  `Serializable`, `javax.jcr.Credentials`

public class OidcAuthCredentials extends Object implements javax.jcr.Credentials

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`OidcAuthCredentials(@NotNull String userId, @NotNull String idp)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addGroup(@NotNull String group)`
`@Nullable Object`
`getAttribute(@NotNull String key)`
`@NotNull Map<String,Object>`
`getAttributes()`
`@NotNull Iterable<String>`
`getGroups()`
`@NotNull String`
`getIdp()`
`@NotNull String`
`getUserId()`
`void`
`setAttribute(@NotNull String key, @NotNull String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OidcAuthCredentials

public OidcAuthCredentials(@NotNull @NotNull String userId, @NotNull @NotNull String idp)

## Method Details

### getUserId

@NotNull public @NotNull String getUserId()

### getIdp

@NotNull public @NotNull String getIdp()

### getAttributes

@NotNull public @NotNull Map<String,Object> getAttributes()

### setAttribute

public void setAttribute(@NotNull @NotNull String key, @NotNull @NotNull String value)

### getAttribute

@Nullable public @Nullable Object getAttribute(@NotNull @NotNull String key)

### addGroup

public void addGroup(@NotNull @NotNull String group)

### getGroups

@NotNull public @NotNull Iterable<String> getGroups()